module HarfBuzz_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libharfbuzz
const libharfbuzz_path = "/usr/lib/libharfbuzz.so.0"
libharfbuzz_handle = C_NULL
get_libharfbuzz_path() = libharfbuzz_path
const libharfbuzz = "libharfbuzz.so.0"
export libharfbuzz_gobject
const libharfbuzz_gobject_path = "/usr/lib/libharfbuzz-gobject.so.0"
libharfbuzz_gobject_handle = C_NULL
get_libharfbuzz_gobject_path() = libharfbuzz_gobject_path
const libharfbuzz_gobject = "libharfbuzz-gobject.so.0"
export libharfbuzz_subset
const libharfbuzz_subset_path = "/usr/lib/libharfbuzz-subset.so.0"
libharfbuzz_subset_handle = C_NULL
get_libharfbuzz_subset_path() = libharfbuzz_subset_path
const libharfbuzz_subset = "libharfbuzz-subset.so.0"
function __init__()
    global libharfbuzz_handle = dlopen(libharfbuzz_path)
    global libharfbuzz_gobject_handle = dlopen(libharfbuzz_gobject_path)
    global libharfbuzz_subset_handle = dlopen(libharfbuzz_subset_path)
end
end
